Name:           python-evdev
Version:        1.5.0
Release:        1
Summary:        Python bindings to the generic input event interface in Linux
License:        BSD-3-Clause
URL:            https://python-evdev.readthedocs.io
Source0:        https://github.com/gvalkov/%{name}/archive/v%{version}.tar.gz

BuildRequires:  gcc kernel-headers python3-devel python3-setuptools

%description
This package provides python bindings to the generic input event interface in
Linux. The evdev interface serves the purpose of passing events generated in
the kernel directly to userspace through character devices that are typically
located in /dev/input/.

This package also comes with bindings to uinput, the userspace input subsystem.
Uinput allows userspace programs to create and handle input devices that can
inject events directly into the input subsystem.

In other words, python-evdev allows you to read and write input events on Linux.
An event can be a key or button press, a mouse movement or a tap on a touchscreen.

%package -n python3-evdev
Summary:        Python bindings to the Linux input handling subsystem
%{?python_provide:%python_provide python3-evdev}

%description -n python3-evdev
This package provides python bindings to the generic input event interface in
Linux. The evdev interface serves the purpose of passing events generated in
the kernel directly to userspace through character devices that are typically
located in /dev/input/.

This package also comes with bindings to uinput, the userspace input subsystem.
Uinput allows userspace programs to create and handle input devices that can
inject events directly into the input subsystem.

In other words, python-evdev allows you to read and write input events on Linux.
An event can be a key or button press, a mouse movement or a tap on a touchscreen.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%py3_build

%install
%py3_install

%files -n python3-evdev
%license LICENSE
%doc README.rst
%{python3_sitearch}/{evdev/,evdev-%{version}-py%{python3_version}.egg-info/}

%changelog
* Thu Oct 20 2022 Ge Wang <wangge20@h-partners.com> - 1.5.0-1
- Upgrade to version 1.5.0

* Wed Mar 4 2020 duyeyu <duyeyu@huawei.com> - 1.1.2-5
- Initial package.
